## libgpod 0.7.94

=== debian/changelog ===
libgpod (0.7.94-0ubuntu2) maverick; urgency=low

  * debian/libgpod-dev.install:
    - explicitey list libgpod-1.0.pc to not take libgpod-sharp.pc (in
      libgpod-cil-dev package)

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 08 Sep 2010 12:13:55 +0200

libgpod (0.7.94-0ubuntu1) maverick; urgency=low

  [ Chow Loong Jin ]
  * New upstream release
  * Acknowledge NMU
  * debian/(control, source/format, rules libgpod-cil(-dev).install):
    + Move to 3.0 (quilt), python-support, and dh7 tiny rules
    + Update homepage
    + Add me to Uploaders
    + Add libgpod-cil(-dev) packages
  * debian/(compat, *.install): Bump compat level to 7
  * debian/patches/91_fix_dllconfig.patch: Fix dllmap for libgpod-sharp

  [ Didier Roche ]
  * debian/rules:
    - generate .pot files for launchpad to sync ubuntu from debian
  (-0ubuntu1 for now, can be synced on next debian upload)

 -- Chow Loong Jin <hyperair@ubuntu.com>  Sat, 04 Sep 2010 20:48:41 +0800

libgpod (0.7.93-0.3) unstable; urgency=low

  * NMU
  * debian/rules
    - fix FTBFS, really (Closes: #591254)

 -- Hideki Yamane <henrich@debian.org>  Fri, 13 Aug 2010 10:54:24 +0900

libgpod (0.7.93-0.2) unstable; urgency=high

  * NMU, again.
  * debian/rules
    - deal with kfreebsd FTBFS
      Thanks to Petr Salinger <Petr.Salinger@seznam.cz>

 -- Hideki Yamane <henrich@debian.org>  Wed, 11 Aug 2010 07:46:28 +0900

libgpod (0.7.93-0.1) unstable; urgency=low

  * Non-maintainer upload, also new upstream release, merged from Ubuntu
   (Closes: #458128, #509672, #571172, #573017, #582583, #589354)
  * "Memory leak in python-gpod" was fixed (Closes: #425583)
    see http://sourceforge.net/tracker/index.php?func=detail&aid=1723660&group_id=67873&atid=519273
  * Confirm it fixes artwork support on ipod touch (Closes: #460593, #549490)
  * debian/control
    - Update Homepage field (Closes: #563143)
    - Bump up to "Standards-Version: 3.9.1"
    - add "Build-Depends: chrpath" to avoid rpath issue.
  * debian/python-gpod.docs
    - include bindings/python README file (Closes: #563148)
  * debian/copyright
    - remove mentions to tests/test-checksum.c and src/itdb_sha1.c, those are
      already removed from source.
    - update license information to tests/test-write-covers.c and
      tests/test-covers.c. Thanks for lintian.
  * debian/rules
     - eliminate rpath lintian errors by using chrpath.

 -- Hideki Yamane <henrich@debian.org>  Sun, 01 Aug 2010 05:40:29 +0900

libgpod (0.7.93-0ubuntu2) maverick; urgency=low

  * No-change rebuild against libimobiledevice1.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 04 Aug 2010 22:10:57 +0200

libgpod (0.7.93-0ubuntu1) lucid; urgency=low

  * New upstream version:
    - various bug fixes in HAL/udev iPhone callout which would make it fail
      to dump SysInfoExtended more often than not.
    - fix iPod Classic 80GB support 
    - handle TV Shows, Movies and Music Videos on iPhone better 
    - fix python bindings for the iPhone 
    - fix OnTheGo playlist parsing (the 1st on-the-go playlist was always 
      ignored).
    - automatically call itdb_shuffle_write when itdb_write is called if needed.
    - some gint32/guint32 changes were made in the public API, this shouldn't
      break anything, but please report a bug if it's an annoyance for you.
    - lower udev rule priority so that it runs after the usbmux udev rule.
    - define ipad ids (lp: #555358)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 07 Apr 2010 13:36:42 +0200

libgpod (0.7.92-0ubuntu1) lucid; urgency=low

  * New upstream version
  * debian/symbols.common:
    - new version update

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 19 Mar 2010 15:01:28 +0100

libgpod (0.7.90git20100216-0ubuntu3) lucid; urgency=low

  * debian/patches/90_speed_itdb_resolve.dpatch:
    - upstream change to speed up itdb_resolve_path calls

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 17 Feb 2010 20:47:43 +0100

libgpod (0.7.90git20100216-0ubuntu2) lucid; urgency=low

  * debian/libgpod-dev.install:
    - don't install the la file it creates builds issues

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 16 Feb 2010 19:18:38 +0100

libgpod (0.7.90git20100216-0ubuntu1) lucid; urgency=low

  * New git snapshot
  * debian/patches/01_git_change_no_dont_crash_on_wrong_device.dpatch:
    - the change is in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 16 Feb 2010 12:32:37 +0100

libgpod (0.7.90git20100210-0ubuntu2) lucid; urgency=low

  * debian/control:
    - build-depends on libimobiledevice-dev
  * debian/patches/01_git_change_no_dont_crash_on_wrong_device.dpatch:
    - git change to fix ipod-set-info crashing when being called on wrong device
      (lp: #520921) 

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 12 Feb 2010 14:28:57 +0100

libgpod (0.7.90git20100210-0ubuntu1) lucid; urgency=low

  * Updated to current git which uses udev now
  * debian/control, debian/patches/10_hal-kfreebsd.dpatch, debian/rules:
    - don't use hal, update binary description
  * debian/patches/90_clean_symbols_export.dpatch:
    - dropped, the change is in git now

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 10 Feb 2010 15:08:19 +0100

libgpod (0.7.90-0ubuntu1) lucid; urgency=low

  * New upstream version (lp: #518490):
    - iPhoneOS 3.x support. This requires a working libimobiledevice 
      stack and a device initialized once by iTunes.
    - iPod Nano 5G support (lp: #500650)
      The device database needs to be initialized by iTunes once.
    - iPod Classic 3G support
    - fix iPod Nano 4G 4GB serial number (lp: #461639)
    - properly read timezone information from iPod Classic and Nano 4G
    - artwork writing bug fixes
    - iTunesDB reading bug fixes
    - add code sample showing how to copy a file to the iPod
    - export podsleuth-like information to HAL
  * debian/control:
    - build-depends on libsqlite3-dev, libplist-dev, libusb-1.0-0-dev, 
      zlib1g-dev
    - don't use libimobiledevice yet there is still some issues to fix there

