=== debian/control ===
Source: libgpod
Priority: optional
Section: libs
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>
Uploaders: Frank Lichtenheld <djpig@debian.org>,
           Chow Loong Jin <hyperair@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
               autotools-dev,
               intltool,
               pkg-config,
               libglib2.0-dev (>= 2.16),
               libgtk2.0-dev,
               libxml2-dev,
               libsgutils2-dev,
               libsqlite3-dev,
               libplist-dev,
               libusb-1.0-0-dev,
               libimobiledevice-dev,
               zlib1g-dev,
               swig,
               python (>= 2.3.5-7),
               python-all-dev,
               python-support (>= 0.9.0),
               python-mutagen,
               python-gobject-dev,
               xsltproc,
               docbook-xml,
               gtk-doc-tools,
               chrpath,
               mono-devel (>= 2.4.3),
               cli-common-dev (>= 0.5.7),
               libgtk2.0-cil-dev (>= 2.12),
               libglib2.0-cil-dev (>= 2.12)
Homepage: http://www.gtkpod.org/wiki/Libgpod
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/git/pkg-gtkpod/packages/libgpod.git
Vcs-Browser: http://git.debian.org/?p=pkg-gtkpod/packages/libgpod.git

Package: libgpod-nogtk-dev
Section: libdevel
Priority: extra
Architecture: any
Depends: libgpod4-nogtk (= ${binary:Version}), libglib2.0-dev, ${misc:Depends}
Suggests: libgpod-doc
Conflicts: libgpod-dev
Description: development files for libgpod (version without artwork support)
 libgpod is a library meant to abstract access to an iPod's content. It
 provides an easy to use API to retrieve the list of files and playlist
 stored on an iPod, to modify them and to save them back to the iPod.
 .
 This version does not include artwork support.
 .
 This package contains the include files and static library.

Package: libgpod4-nogtk
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libgpod4
Suggests: libgpod-common
Description: library to read and write songs to an iPod
 libgpod is a library meant to abstract access to an iPod's content. It
 provides an easy to use API to retrieve the list of files and playlist
 stored on an iPod, to modify them and to save them back to the iPod.
 .
 This version does not include artwork support.
 .
 This package contains the shared library.

Package: libgpod-dev
Section: libdevel
Architecture: any
Depends: libgpod4 (= ${binary:Version}), libgtk2.0-dev, libglib2.0-dev,
         ${misc:Depends}
Suggests: libgpod-doc
Conflicts: libgpod-nogtk-dev
Description: development files for libgpod
 libgpod is a library meant to abstract access to an iPod's content. It
 provides an easy to use API to retrieve the list of files and playlist
 stored on an iPod, to modify them and to save them back to the iPod.
 .
 This package contains the include files and static library.

Package: libgpod4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libgpod-common
Conflicts: libgpod4-nogtk
Description: library to read and write songs and artwork to an iPod
 libgpod is a library meant to abstract access to an iPod's content. It
 provides an easy to use API to retrieve the list of files and playlist
 stored on an iPod, to modify them and to save them back to the iPod
 .
 This package contains the shared library.

Package: libgpod-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libgpod0 (<< 0.3.0-4)
Description: common files for libgpod
 libgpod is a library meant to abstract access to an iPod's content. It
 provides an easy to use API to retrieve the list of files and playlist
 stored on an iPod, to modify them and to save them back to the iPod.
 .
 This package contains
  - internationalization support
  - udev support

Package: libgpod-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Replaces: libgpod0 (<< 0.3.0-4), libgpod-common (<< 0.6.0-6)
Description: documentation for libgpod
 libgpod is a library meant to abstract access to an iPod's content. It
 provides an easy to use API to retrieve the list of files and playlist
 stored on an iPod, to modify them and to save them back to the iPod.
 .
 This package contains documentation and examples.

Package: python-gpod
Section: python
Architecture: any
Depends: libgpod4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
         ${python:Depends}
Python-Depends: python-mutagen, python-gobject
Replaces: python2.3-gpod (<< 0.3.2-1.1)
Conflicts: python2.3-gpod (<< 0.3.2-1.1)
Provides: ${python:Provides}
Description: Python bindings for libgpod
 libgpod is a library meant to abstract access to an iPod's content. It
 provides an easy to use API to retrieve the list of files and playlist
 stored on an iPod, to modify them and to save them back to the iPod.
 .
 This package contains the Python bindings for the library.

Package: libgpod-cil
Section: cli-mono
Architecture: all
Depends: ${cli:Depends}, ${misc:Depends}
Description: CLI bindings for libgpod
 libgpod is a library meant to abstract access to an iPod's content. It
 provides an easy way to use API to retrieve the list of files and
 playlist storeed on an iPod, to modify them and to save them back to
 the iPod.
 .
 This package contains the managed CLI bindings for libgpod, which
 are needed to run CLI applications which use this library.

Package: libgpod-cil-dev
Architecture: all
Depends: libgpod-cil (= ${source:Version}), ${misc:Depends}
Description: CLI bindings for libgpod -- development files
 libgpod is a library meant to abstract access to an iPod's content. It
 provides an easy way to use API to retrieve the list of files and
 playlist storeed on an iPod, to modify them and to save them back to
 the iPod.
 .
 This package contains the development files for libgpod-sharp library,
 and should be used for compilation of CLI applications which use this
 library.
