## libgpod 0.7.95

=== debian/changelog ===
libgpod (0.7.95-1) experimental; urgency=low

  * New upstream release (LP: #652855)
  * Drop 91_fix_dllconfig.patch, applied upstream
  * Don't hardcode soname into chrpath invocation

 -- Chow Loong Jin <hyperair@ubuntu.com>  Thu, 30 Sep 2010 11:49:35 +0800

libgpod (0.7.94-1) experimental; urgency=low

  [ Chow Loong Jin ]
  * New upstream release
  * Acknowledge NMU
  * debian/(control, source/format, rules libgpod-cil(-dev).install):
    + Move to 3.0 (quilt), python-support, and dh7 tiny rules
    + Update homepage
    + Add me to Uploaders
    + Add libgpod-cil(-dev) packages
  * debian/(compat, *.install): Bump compat level to 7
  * debian/patches/91_fix_dllconfig.patch: Fix dllmap for libgpod-sharp

  [ Didier Roche ]
  * debian/rules:
    - generate .pot files for launchpad to sync ubuntu from debian

 -- Chow Loong Jin <hyperair@ubuntu.com>  Thu, 09 Sep 2010 18:58:58 +0800
