=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libgpod
 Priority: optional
 Section: libs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>
+Maintainer: gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>
 Uploaders: Frank Lichtenheld <djpig@debian.org>,
            Chow Loong Jin <hyperair@ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50~),
@@ -149,6 +148,7 @@
  are needed to run CLI applications which use this library.
 
 Package: libgpod-cil-dev
+Section: libdevel
 Architecture: all
 Depends: libgpod-cil (= ${source:Version}), ${misc:Depends}
 Description: CLI bindings for libgpod -- development files
