=== debian/rules ===
--- 
+++ 
@@ -48,8 +48,8 @@
 		debian/tmp/usr/bin/ipod-time-sync
 	chrpath -d debian/tmp/usr/bin/*
 	chrpath -d debian/tmp/lib/udev/*-info
-	chrpath -d debian/tmp*/usr/lib/libgpod.so.4.2.1
-	chrpath -d debian/tmp/usr/lib/python*/dist-packages/gpod/_gpod.so
+	chrpath -d debian/tmp*/usr/lib/libgpod.so.$(SONAME)
+	chrpath -d debian/tmp/usr/lib/python*/*-packages/gpod/_gpod.so
 
 # python things!
 build/python%: build/libgpod$(SONAME)/install-stamp
