## libgpod 0.8.0

=== debian/changelog ===
libgpod (0.8.0-2ubuntu0.1) natty-proposed; urgency=low

  * [d3ab740] Add autoreconf during build (LP: #772089)

 -- Chow Loong Jin <hyperair@ubuntu.com>  Thu, 28 Apr 2011 08:04:53 +0800

libgpod (0.8.0-2) unstable; urgency=low

  * [4386486] Don't install non-docs stuff from docs build
  * [29d6814] Move cli-common-dev to b-d-i

 -- Chow Loong Jin <hyperair@ubuntu.com>  Fri, 08 Apr 2011 01:03:12 +0800

libgpod (0.8.0-1) unstable; urgency=low

  [ Julien Lavergne ]
  * debian/patches:
   - 10_kfreebsd.patch: Refresh, convert to quilt, and add DEP3 headers.
   - 25_xsltproc-nonet.patch: Refresh, convert to quilt, and add DEP3 headers.
   - 90_speed_itdb_resolve.patch: Refresh, convert to quilt, and add DEP3
     headers.
  * debian/README.source:
   - Remove, quilt is now used with source format.

  [ Chow Loong Jin ]
  * [fadc9a8] New upstream bugfix release:
    + shuffle 3g/4g bug fixes (Adam Broschinski)
    + bug fixes related to the addition of the new ipod models (Christophe
      Fergeau)
    + silence some useless runtime warnings (Christophe Fergeau)
  * [5ac4672] Add patch to fix alignment issues on x86 with mono
  * [6a8a60b] Split out indep part of build process and deps

 -- Chow Loong Jin <hyperair@ubuntu.com>  Fri, 08 Apr 2011 00:57:37 +0800

libgpod (0.7.95-2) unstable; urgency=low

  * Reupload to sid

 -- Chow Loong Jin <hyperair@ubuntu.com>  Thu, 10 Feb 2011 01:45:54 +0800
