=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: libgpod
 Priority: optional
 Section: libs
-Maintainer: gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>
-Uploaders: Frank Lichtenheld <djpig@debian.org>,
-           Chow Loong Jin <hyperair@ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>
+Uploaders: Chow Loong Jin <hyperair@ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50~),
+               dh-autoreconf,
                autotools-dev,
                intltool,
                pkg-config,
@@ -23,14 +24,14 @@
                python-support (>= 0.9.0),
                python-mutagen,
                python-gobject-dev,
+               chrpath,
+               gtk-doc-tools,
+               docbook-xml,
                xsltproc,
-               docbook-xml,
-               gtk-doc-tools,
-               chrpath,
-               mono-devel (>= 2.4.3),
-               cli-common-dev (>= 0.5.7),
-               libgtk2.0-cil-dev (>= 2.12),
-               libglib2.0-cil-dev (>= 2.12)
+Build-Depends-Indep: cli-common-dev (>= 0.5.7),
+                     mono-devel (>= 2.4.3),
+                     libgtk2.0-cil-dev (>= 2.12),
+                     libglib2.0-cil-dev (>= 2.12)
 Homepage: http://www.gtkpod.org/wiki/Libgpod
 Standards-Version: 3.9.1
 Vcs-Git: git://git.debian.org/git/pkg-gtkpod/packages/libgpod.git
