=== debian/watch ===
version=3
http://sf.net/gtkpod/libgpod-(.+)\.tar\.gz
