## libgpod 0.8.2

=== debian/changelog ===
libgpod (0.8.2-7ubuntu1) raring; urgency=low

  * Add armhf support to debian/control to get libgpod-cil-dev back.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 06 Nov 2012 11:19:41 -0700

libgpod (0.8.2-7) unstable; urgency=low

  * [1c86366] Make -cil packages non-arch-all (Closes: #689054)
  * [e819dd1] Bump debhelper build-dep version to 9
  * [810a91d] Set libgpod-cil-dev section to cli-mono
  * [a5c3888] No-change bump of Standards-Version to 3.9.3

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 15 Oct 2012 21:58:33 +0800

libgpod (0.8.2-6) unstable; urgency=low

  * [5c4dc2b] Tighten libgpod-common dependency.
    Recommend libgpod-common instead of suggesting it in the case of
    libgpod4-nogtk. This standardizes the dependency on libgpod-common between
    libgpod4 and libgpod4-nogtk and avoids issues caused by the lack of udev
    metadata on standard installations. (Closes: #658538)
  * [4bf5644] Bump debhelper compat to 9 for multiarch

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 04 Feb 2012 16:16:54 +0800

libgpod (0.8.2-5) unstable; urgency=low

  * Rebuild for CLR 4.0 transition
  * [59ac3ab] Update email address
  * [f1734a5] Update and convert copyright to dep5

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 19 Jan 2012 17:17:57 +0800

libgpod (0.8.2-4) unstable; urgency=low

  * [949bf2b] Make -dev packages depend on libimobiledevice-dev
    (Closes: #641819)
  * [5bb0ee9] Depend on libgdk-pixbuf2.0-dev for libgpod-dev.
    Thanks to Matteo F. Vescovi (Closes: #642666)

 -- Chow Loong Jin <hyperair@ubuntu.com>  Tue, 27 Sep 2011 05:20:24 +0800

libgpod (0.8.2-3) unstable; urgency=low

  * [3cf636c] Fix broken python dependencies

 -- Chow Loong Jin <hyperair@ubuntu.com>  Thu, 08 Sep 2011 20:21:10 +0800

libgpod (0.8.2-2) unstable; urgency=low

  * [4d417b9] Only use --with=cli for -indep targets (Closes: #640364)

 -- Chow Loong Jin <hyperair@ubuntu.com>  Mon, 05 Sep 2011 16:30:58 +0800

libgpod (0.8.2-1) unstable; urgency=low

  * [89a3d12] Update debian/watch for bz2 switch
  * [ad4d7fa] Imported Upstream version 0.8.2 (Closes: #635499)
    - fix mono binding on 32 bit systems (Christian Krause)
    - better iOS 4.3 support (Martin Szulecki, Nikias Bassen)
    - dynamic loader for libhashab.so (Nikias Bassen)
    - make smartplaylists case-insensitive to match what iTunes does
    - (Christophe Fergeau)
    - more robust Shuffle support in udev helper (Christophe Fergeau)
    - various compilation fixes and build system improvements (Alexander
      Weinert, Bastien Nocera, Christophe Fergeau)
    - bug fixes (phantomjinx, James Burton, Christophe Fergeau)
    - updated French translation (Éric Lassauge)
  * [24bba7e] Move from dh_pysupport to dh_python2 (Closes: #616862)
  * [8358fb3] Drop gtk build-dep in favour of gdk-pixbuf (Closes: #628194)
  * debian/patches:
    - [785cb17] Refresh 90_speed_itdb_resolve.patch
    - [770b9d9] Refresh 10_kfreebsd.patch
    - [492c7fc] Drop upstreamed 0001-mono-fix-alignment-issues-on-x86.patch
  * [8a83c6f] No-change bump of Standards-Version (3.9.1 → 3.9.2)
  * [8c81e24] Drop use of cli.make
  * [f9751be] Move Python-Depends to dh_python2 call
  * [b367c3a] Drop .la files

 -- Chow Loong Jin <hyperair@ubuntu.com>  Fri, 12 Aug 2011 23:09:54 +0800

libgpod (0.8.0-3) unstable; urgency=low

  * [d3ab740] Add autoreconf during build (LP: #772089)

 -- Chow Loong Jin <hyperair@ubuntu.com>  Thu, 28 Apr 2011 08:04:53 +0800
