=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Section: libs
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: gtkpod Maintainers <pkg-gtkpod-devel@lists.alioth.debian.org>
-Uploaders: Chow Loong Jin <hyperair@ubuntu.com>
-Build-Depends: debhelper (>= 7.0.50~),
+Uploaders: Chow Loong Jin <hyperair@debian.org>
+Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                autotools-dev,
                intltool,
                pkg-config,
                libglib2.0-dev (>= 2.16),
-               libgtk2.0-dev,
+               libgdk-pixbuf2.0-dev,
                libxml2-dev,
                libsgutils2-dev,
                libsqlite3-dev,
@@ -19,21 +19,19 @@
                libimobiledevice-dev,
                zlib1g-dev,
                swig,
-               python (>= 2.3.5-7),
-               python-all-dev,
-               python-support (>= 0.9.0),
+               python-all-dev (>= 2.6.6-3~),
                python-mutagen,
                python-gobject-dev,
                chrpath,
                gtk-doc-tools,
                docbook-xml,
                xsltproc,
-Build-Depends-Indep: cli-common-dev (>= 0.5.7),
-                     mono-devel (>= 2.4.3),
-                     libgtk2.0-cil-dev (>= 2.12),
-                     libglib2.0-cil-dev (>= 2.12)
+               cli-common-dev (>= 0.5.7) [amd64 armel armhf i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc ppc64 s390x sparc],
+               mono-devel (>= 2.4.3) [amd64 armel armhf i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc ppc64 s390x sparc],
+               libgtk2.0-cil-dev (>= 2.12) [amd64 armel armhf i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc ppc64 s390x sparc],
+               libglib2.0-cil-dev (>= 2.12) [amd64 armel armhf i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc ppc64 s390x sparc]
 Homepage: http://www.gtkpod.org/wiki/Libgpod
-Standards-Version: 3.9.1
+Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/git/pkg-gtkpod/packages/libgpod.git
 Vcs-Browser: http://git.debian.org/?p=pkg-gtkpod/packages/libgpod.git
 
@@ -41,7 +39,8 @@
 Section: libdevel
 Priority: extra
 Architecture: any
-Depends: libgpod4-nogtk (= ${binary:Version}), libglib2.0-dev, ${misc:Depends}
+Depends: libgpod4-nogtk (= ${binary:Version}), libglib2.0-dev,
+         libimobiledevice-dev, ${misc:Depends}
 Suggests: libgpod-doc
 Conflicts: libgpod-dev
 Description: development files for libgpod (version without artwork support)
@@ -57,8 +56,10 @@
 Priority: extra
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Recommends: libgpod-common
 Conflicts: libgpod4
-Suggests: libgpod-common
+Multi-Arch: same
 Description: library to read and write songs to an iPod
  libgpod is a library meant to abstract access to an iPod's content. It
  provides an easy to use API to retrieve the list of files and playlist
@@ -72,7 +73,7 @@
 Section: libdevel
 Architecture: any
 Depends: libgpod4 (= ${binary:Version}), libgtk2.0-dev, libglib2.0-dev,
-         ${misc:Depends}
+         libgdk-pixbuf2.0-dev, libimobiledevice-dev, ${misc:Depends}
 Suggests: libgpod-doc
 Conflicts: libgpod-nogtk-dev
 Description: development files for libgpod
@@ -85,8 +86,10 @@
 Package: libgpod4
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Recommends: libgpod-common
 Conflicts: libgpod4-nogtk
+Multi-Arch: same
 Description: library to read and write songs and artwork to an iPod
  libgpod is a library meant to abstract access to an iPod's content. It
  provides an easy to use API to retrieve the list of files and playlist
@@ -124,7 +127,6 @@
 Architecture: any
 Depends: libgpod4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
          ${python:Depends}
-Python-Depends: python-mutagen, python-gobject
 Replaces: python2.3-gpod (<< 0.3.2-1.1)
 Conflicts: python2.3-gpod (<< 0.3.2-1.1)
 Provides: ${python:Provides}
@@ -137,7 +139,7 @@
 
 Package: libgpod-cil
 Section: cli-mono
-Architecture: all
+Architecture: amd64 armel armhf i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc ppc64 s390x sparc
 Depends: ${cli:Depends}, ${misc:Depends}
 Description: CLI bindings for libgpod
  libgpod is a library meant to abstract access to an iPod's content. It
@@ -149,9 +151,9 @@
  are needed to run CLI applications which use this library.
 
 Package: libgpod-cil-dev
-Section: libdevel
-Architecture: all
-Depends: libgpod-cil (= ${source:Version}), ${misc:Depends}
+Section: cli-mono
+Architecture: amd64 armel armhf i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc ppc64 s390x sparc
+Depends: libgpod-cil (= ${binary:Version}), ${misc:Depends}
 Description: CLI bindings for libgpod -- development files
  libgpod is a library meant to abstract access to an iPod's content. It
  provides an easy way to use API to retrieve the list of files and
