=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,8 @@
 #!/usr/bin/make -f
 
--include /usr/share/cli-common/cli.make
+export MONO_DISABLE_SHM = 1
 
-DH = dh --parallel --with=autoreconf
+DH = dh $(1) --parallel --with=autoreconf --with=python2
 
 SONAME=4
 VERSION = 0.7.94
@@ -10,17 +10,12 @@
 PYVERS = $(shell pyversions -v -r ./debian/control)
 confflags += --without-hal --enable-udev
 
-# indep stuff
-binary: binary-arch binary-indep
-binary-arch binary-indep:
-	_LIBGPOD_BUILD_=$(subst binary-,,$@) $(DH) $@
+# targets are appended to $(BASE) to get the build directory
+targets = gtk nogtk $(foreach i, $(PYVERS), python$(i)) doc
 
-
-# targets are appended to $(BASE) to get the build directory
-ifeq ($(_LIBGPOD_BUILD_),arch)
-targets = gtk nogtk $(foreach i, $(PYVERS), python$(i))
-else
-targets = mono doc
+ifneq (,$(findstring -cil,$(shell dh_listpackages)))
+targets += mono
+DH += --with=cli
 endif
 
 BASE = build
@@ -49,6 +44,8 @@
 		--with-mono=yes \
 		--disable-gtk-doc \
 		--enable-gdk-pixbuf \
+		--prefix=/usr \
+		--libdir=/usr/lib \
 		$(confflags) \
 		MCS=/usr/bin/mono-csc
 
@@ -112,10 +109,12 @@
 override_dh_auto_install: $(foreach i, $(targets), $(BASE)/$(i)/install-stamp)
 	$(foreach i, \
 		$(wildcard debian/tmp*/usr/bin/*) \
-		$(wildcard debian/tmp/usr/lib/udev/*-info) \
-		$(wildcard debian/tmp/usr/lib/libgpod.so.$(SONAME)) \
-		$(wildcard debian/tmp/usr/lib/python*/*-packages/gpod/_gpod.so), \
+		$(wildcard debian/tmp/usr/lib/*/udev/*-info) \
+		$(wildcard debian/tmp/usr/lib/*/libgpod.so.$(SONAME)) \
+		$(wildcard debian/tmp/usr/lib/*/python*/*-packages/gpod/_gpod.so), \
 		chrpath -d $(i);)
+
+	find debian/tmp* -name '*.la' -delete
 
 	# Needed for syncing with ubuntu: launchpad needs .pot files
 	cd po; intltool-update --pot
@@ -143,7 +142,7 @@
 
 # cleaning rules
 clean:
-	$(DH) $@
+	$(call DH, $@)
 	rm -f debian/libgpod-nogtk-dev.install debian/libgpod$(SONAME)-nogtk.install
 	rm -rf debian/tmp-*
 
@@ -158,7 +157,10 @@
 	dh_makeshlibs -plibgpod$(SONAME)-nogtk \
 		-V 'libgpod$(SONAME)-nogtk (>= $(VERSION)) | libgpod$(SONAME) (>= $(VERSION))'
 
+override_dh_python2:
+	dh_python2 --depends=mutagen --depends=gobject
+
 %:
-	$(DH) $@
+	$(call DH, $@)
 
-.PHONY: clean build build-arch build-indep
+.PHONY: clean
